function [report] = taskReport(data)
% Creating text report with information about used preprocessing settings
% TODO - description

% time reconstruction finished
timestamp = datestr(clock, 'mmmm dd, yyyy at HH:MM:SS'); % TODO - better format

report = sprintf('%s %s\n\n', 'Data processing report created on', timestamp);

% dimensions of projection data
report = sprintf('%s%s\n\t%s %i\n\t%s %i\n\t%s %i\n', report, ...
    'Dimensions of projection images (pixels):', ...
    'Width:', data.geom.width, 'Height:', data.geom.height, ...
    'Number of projections:', data.geom.num_proj);
% projection pixel size
report = sprintf('%s%s %.3f %s\n', report, ...
    'Pixel size:', data.geom.pix_size, 'micrometers');

% TODO - what to write here? all of geom?

% Task settings
% TODO - write names and inputs of tasks here

% total preprocessing time
if isfield(data.misc, 'taskTime')
    report = sprintf('%s%s %.2f %s\n', report, ...
        'All preprocessing tasks completed in', ...
        sum(data.misc.taskTime), 'seconds');
end

end

