close all; clear; clc

% imds = imageDatastore('training_dataset');
% model = fitniqe(imds);
% save('niqemodelDP.mat', 'model')

load('niqemodelDP.mat')


%% load images, evaluate using niqe, get mean score

saved_path = uigetdir('C:\', 'Choose the folder containing tomographic data for evaluation');

dataset = {'CFRP', 'lego', 'pill'};
type = {'offset', 'full'};

for a = 1:3
    
    for b = 1:2

        imds = imageDatastore([saved_path, '\' dataset{a} '\' type{b} '_tiff']);

        parfor k = 1:numel(imds.Files)
            tic
            t = Tiff(imds.Files{k});
            A = read(t);

            tempScore(k) = niqe(A,model);
            time = toc;
            disp(['Image ' num2str(k) ' evaluated in ' num2str(time) ' seconds'])
        end
        
        score.([dataset{a} '_' type{b}]) = tempScore;
        means_labels{a*2 + b - 2} = [dataset{a} type{b}];
    end
    
end


fn = fieldnames(score);
for k = 1:numel(fn)
    % discard top and bottom values to remove incomplete slices
    means(k) = mean(score.(fn{k})(10:(end-9)));
    
end

means_labels
means

% save('NIQE_DP.mat', 'score', 'means', 'means_labels')

