function absorp2trans(data)
%ABSORP2TRANS transforms absorption x-ray radiograms into transmission data
%   This is a utility function in case the user needs to process absorption
%   data and later needs this same data to be transformed back into
%   transmission values. It forms a pair with the TRANS2ABSORP function.
% Inputs:
%   data - projectionData object containing projections in the PROJ
%       property and metadata in the PARAMS property (it needs the value
%       FlatFieldCoefficient
% Example:
%   absorp2trans(data)

% Reverse of Lambert-Beer law
data.proj = exp(-data.proj) .* data.params.FlatFieldCoefficient;

end

