function trans2absorp(data)
%TRANS2ABSORP takes transmission projections and turns them to absorption
%   transmission projection data inside the input PROJECTIONDATA object is
%   transformed to absorption projection data by applying the Lambert-Beer
%   law. The function also uses the FlatFieldCoefficient field inside the
%   PARAMS property of the input PROJECTIONDATA object
% Inputs:
%   data - projectionData
% Example:
%   trans2absorp(data)

% TODO - try improving performance

% Check if there are any 0s in projection data, replace if there are
any_zeros = data.proj(:)==0;
if any(any_zeros) % Replacing zero values in sinogram with the second smallest value
    a = Inf; % find 2nd smallest value
    for k = 1:data.geom.num_proj % TODO - think of a better (faster) approach
        pom = data.proj(:,:,k);
        b = pom<a & pom>0;
        if any(b)
            a = min(pom(b));
        end
    end
    data.proj(any_zeros) = a; % TODO - try speeding this up
end

% Lambert-Beer law
data.proj = -log(data.proj ./ data.params.FlatFieldCoefficient);


% proj = data.proj;
% denominator = data.params.FlatFieldCoefficient;
% 
% parfor k = 1:data.geom.num_proj
%     proj(:, :, k) = -log( proj(:, :, k) ./ denominator );
% end
% data.proj = proj;

% TODO - run on all projections at once or in parfor, based on memory available

end

