function savePhantom(name, outputpath, phantomStruct, set)
    % saves phantom created by makeSyntheticSino
    % TODO - describe inputs, check them

    % save ground truth
    fileID = fopen([outputpath, '\', name, 'PhantomBin1.raw'], 'w+');
    Pout = uint16( (2^16 - 1) .* ( ( phantomStruct.gTruth - min(phantomStruct.gTruth(:)) ) ...
                  ./ ( max(phantomStruct.gTruth(:)) - min(phantomStruct.gTruth(:)) ) ) );
    Pout = permute(Pout, [2, 1]);
    fwrite(fileID, Pout, 'uint16');
    fclose(fileID);
    % save text file with size and settings
    fileID = fopen([outputpath, '\', name, 'Phantom.txt'], 'w+');
    fprintf(fileID, '%s: \r\n\t%s: %i\r\n\t%s: %i\r\n', ...
            'Size', 'X', size(phantomStruct.gTruth, 2), 'Y', size(phantomStruct.gTruth, 1));
    fprintf(fileID, '%s: \r\n\t%s: %i\r\n\t%s: %i\r\n', ...
            'Size after binning', 'X', size(phantomStruct.gTruth, 2)/set.binning, ...
                                  'Y', size(phantomStruct.gTruth, 1)/set.binning);
    fprintf(fileID, ['%s: \r\n\t%s: %i\r\n\t%s: %i\r\n\t%s: %.4f', ...
                         '\r\n\t%s: %.5f\r\n\t%s: %i\r\n\t%s: %i', ...
                         '\r\n\t%s: %i\r\n\t%s: %i\r\n\t%s: %i', ...
                         '\r\n\t%s: %.4f\r\n\t%s: %.4f\r\n\t%s: %.4f', ...
                         '\r\n\t%s: %.4f\r\n\t%s: %i'], ...
            'Settings for making projection data', ...
            'Detector count', set.det_count, ...
            'Binning', set.binning, ...
            'FoV extension', set.extension, ...
            'Pixel size at binning 1', set.pix_size_b1, ...
            'SOD', set.SOD, ...
            'ODD', set.ODD, ...
            'Number of projections (through 360)', set.num_proj, ...
            'Incident X-ray flux', set.incident_flux, ...
            'Poisson noise added', set.poissonNoise, ...
            'Amount of Gaussian noise', set.gaussianNoise, ...
            'Fraction of impulse noise', set.impulseNoise, ...
            'Strength of ring artifacts', set.rings, ...
            'Angle range', set.angleRange, ...
            'Output sinogram is a transmission image', set.transmissionOutput);
    fclose(fileID);
    % also save phantom that is not at binning 1
    if set.binning ~= 1
        fileID = fopen([outputpath, '\', name, 'PhantomBinned.raw'], 'w+');
        Pout = uint16( (2^16 - 1) .* ( ( phantomStruct.binnedPhantom - ...
                      min(phantomStruct.binnedPhantom(:)) ) ./ ...
                      ( max(phantomStruct.binnedPhantom(:)) - ...
                      min(phantomStruct.binnedPhantom(:)) ) ) );
        Pout = permute(Pout, [2, 1]);
        fwrite(fileID, Pout, 'uint16');
        fclose(fileID);
    end
end

